//
//  JHWanSDKDefines.h
//  SDKDemo
//
//  Created by Stack on 2022/12/15.
//
#import <Foundation/Foundation.h>

#ifndef JHWanSDKDefines_h
#define JHWanSDKDefines_h

extern NSString *const kJhWanSDKNotiInitDidFinished;   //初始化成功
extern NSString *const kJhWanSDKNotiLogin;             //登录成功 切换账号成功也会回调这个
extern NSString *const kJhWanSDKNotiLogout;            //用户注销
extern NSString *const kJhWanSDKNotiRecharge;          //充值结果
extern NSString* const kJhWanSDKNotiRealAuth;             //实名认证结果通知

#pragma mark - 通知userInfo中的重要key 错误和信息

extern NSString *const kJhWanSDKKeyError;
extern NSString* const kJhWanSDKKeyMsg;

// 订单号
#define kJhWanSDKKeyOrderId              @"orderId"
// 游戏开发商给的订单号
#define kJhWanSDKKeyCpOrderId            @"cpOrderId"
// 透传参数
#define kJhWanSDKKeyExtraParams          @"extraParams"
// uid
#define kJhWanSDKKeyUserId              @"uid"
// user_token
#define kJhWanSDKKeyUserToken            @"user_token"
// user_loginTime
#define kJhWanSDKKeyUserLoginTime            @"user_logintime"

/** 实名认证回调是否已实名 YES:已认证NO:未认证*/
#define kJhWanSDKKeyIsRealName           @"isRealName"
/** 实名认证后年龄 */
#define kJhWanSDKKeyRealAge              @"age"
/** 渠道实名认证失败之后是否可以继续游戏YES：可以；NO：不可以；渠道没返回默认YES*/
#define kJhWanSDKKeyRealResumeGame     @"isResumeGame"
/* 预留字段默认为空字符串 */
#define kJhWanSDKKeyRealOther         @"realOther"

#pragma mark - 悬浮按钮位置
typedef enum {
    JH_WAN_SDK_TOOLBAR_TOP_LEFT  = 1,           /* 左上 */
    JH_WAN_SDK_TOOLBAR_TOP_RIGHT = 2,           /* 右上 */
    JH_WAN_SDK_TOOLBAR_MID_LEFT  = 3,           /* 左中 */
    JH_WAN_SDK_TOOLBAR_MID_RIGHT = 4,           /* 右中 */
    JH_WAN_SDK_TOOLBAR_BOT_LEFT  = 5,           /* 左下 */
    JH_WAN_SDK_TOOLBAR_BOT_RIGHT = 6,           /* 右下 */
}JH_WAN_SDK_TOOLBAR_PLACE;


#pragma mark - 错误码

typedef enum {
    JH_WAN_SDK_ERROR_NONE                      = 0,    /* 没有错误 */
    JH_WAN_SDK_ERROR_UNKNOWN                   = -1,    /* 未知错误 */
    JH_WAN_SDK_ERROR_NETWORK                   = -2,    /* 网络连接错误 */
    JH_WAN_SDK_ERROR_CHECKFAILED               = -3,    /* 登录校验失败 */
    JH_WAN_SDK_ERROR_CHECKLOGINING             = -4,    /* 正在校验登录 */
    JH_WAN_SDK_ERROR_PARAM                     = -10,   /* 参数错误 */
    JH_WAN_SDK_ERROR_NOT_INIT                  = -20,   /* 还没有初始化 */
    JH_WAN_SDK_ERROR_INIT_FAILED               = -21,   /* 初始化失败*/
    JH_WAN_SDK_ERROR_UNSUPPORTED               = -100,  /* 功能不被支持 */
    
    JH_WAN_SDK_ERROR_NOT_LOGIN                 = -301,  /* 没有登录用户 */
    JH_WAN_SDK_ERROR_HAD_LOGIN                 = -302,  /* 已有登录用户 */
    JH_WAN_SDK_ERROR_LOGOUT_FAIL               = -303,  /* 用户登出失败 */
    
    JH_WAN_SDK_ERROR_RECHARGE_FAILED           = -400,  /* 充值失败 */
    JH_WAN_SDK_ERROR_RECHARGE_CANCELLED        = -401,  /* 用户充值取消 */
}JH_WAN_SDK_ERROR_CODE;


#endif


